---
install_packages:

  docker:
    enabled: "{{ to_install.docker.enabled | default(False) }}"
    docker_compose:
      enabled: "{{ to_install.docker.docker_compose.enabled | default(False) }}"
    add_users: '{{ to_install.docker.add_users | default("") }}'

  kubectl:
    enabled: "{{ to_install.kubectl.enabled | default(False) }}"
    version: '{{ to_install.kubectl.version | default("1.28.4") }}'

  minikube:
    enabled: "{{ to_install.minikube.enabled | default(False) }}"
    version: '{{ to_install.minikube.version | default("latest") }}'

  packages: "{{ to_install.packages | default([]) }}"

